class ModifyShixunInfoForShixuns < ActiveRecord::Migration[5.2]
  def change
    Shixun.find_each do |shixun|
      if shixun.shixun_info
        shixun.shixun_info.update_attributes(propaedeutics: shixun[:propaedeutics],
                                             description: shixun[:description],
                                             evaluate_script: shixun[:evaluate_script],
                                             shixun_id: shixun[:id])
      else
        ShixunInfo.create!(propaedeutics: shixun[:propaedeutics], description: shixun[:description],
                           evaluate_script: shixun[:evaluate_script], shixun_id: shixun.id)
      end
    end
  end
end
